## openvswitch 1.9.0

=== debian/changelog ===
openvswitch (1.9.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Added watch file. 

 -- James Page <james.page@ubuntu.com>  Fri, 01 Mar 2013 14:25:54 +0000

openvswitch (1.9.0~git20130225.cec7c9e-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
  * d/rules.modules: Install built modules to updates/openvswitch to ensure
    that they override any kernel provided version of openvswitch. 

 -- James Page <james.page@ubuntu.com>  Mon, 25 Feb 2013 14:28:46 +0000
