## openvswitch 1.9.3+git20131029

=== debian/changelog ===
openvswitch (1.9.3+git20131029-1.1) unstable; urgency=medium

  * Non-maintainer upload (with pre-approval from Ben Pfaff).
  * Adds a mkdir -p /var/lib/openvswitch on top of the openvswitch-switch
    postinst script (Closes: #732070).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Dec 2013 16:53:41 +0000

openvswitch (1.9.3+git20131029-1) unstable; urgency=low

  * New upstream release.
    - Fixes opening Unix sockets with very long names from Python.

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 29 Oct 2013 08:31:55 -0700

openvswitch (1.9.3+git20131028-1) unstable; urgency=low

  * New upstream release.
    - Fixes "make check" with non-ASCII characters in present working 
      directory.  Closes: #719736.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 28 Oct 2013 08:40:31 -0700

openvswitch (1.9.3+git20131021-1) unstable; urgency=low

  * New upstream version:
    - Fixes unaligned access issues in bug #719736.
    - Other bug fixes.
  * Other half of bug #719736 has probably not been addressed.  I don't
    understand it and want to see if it recurs in the autobuilders with
    the unaligned accesses fixed.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 21 Oct 2013 08:53:11 -0700

openvswitch (1.9.3-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 29 Aug 2013 17:02:33 -0700

openvswitch (1.9.2+git20130813-1) unstable; urgency=low

  * New upstream version.  Closes: #701758.
    - debian/patches: All patches dropped because they have been
      incorporated upstream.
    - Supports kernels up to 3.8.  Closes: #710125.
  
 -- Ben Pfaff <pfaffben@debian.org>  Fri, 07 Jun 2013 14:15:01 -0700

openvswitch (1.9.2-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 05 Apr 2013 18:37:19 -0700

openvswitch (1.9.1-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 14 Mar 2013 17:27:19 -0700

openvswitch (1.9.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    - Datapath:
      - Support for ipv6 set action.
      - SKB mark matching and setting.
      - support for Linux kernels up to 3.8
    - FreeBSD is now a supported platform, thanks to code contributions from
      Gaetano Catalli, Ed Maste, and Giuseppe Lettieri.
    - ovs-bugtool: New --ovs option to report only OVS related information.
    - New %t and %T log escapes to identify the subprogram within a
      cooperating group of processes or threads that emitted a log message.
      The default log patterns now include this information.
    - OpenFlow:
      - Allow bitwise masking for SHA and THA fields in ARP, SLL and TLL
        fields in IPv6 neighbor discovery messages, and IPv6 flow label.
      - Adds support for writing to the metadata field for a flow.
    - Tunneling:
      - The tunneling code no longer assumes input and output keys are
        symmetric.  If they are not, PMTUD needs to be disabled for
        tunneling to work. Note this only applies to flow-based keys.
      - New support for a nonstandard form of GRE that supports a 64-bit key.
      - Tunnel Path MTU Discovery default value was set to 'disabled'.
        This feature is deprecated and will be removed soon.
      - Tunnel header caching removed.
    - ovs-ofctl:
      - Commands and actions that accept port numbers now also accept keywords
        that represent those ports (such as LOCAL, NONE, and ALL).  This is
        also the recommended way to specify these ports, for compatibility
        with OpenFlow 1.1 and later (which use the OpenFlow 1.0 numbers
        for these ports for different purposes).
    - ovs-dpctl:
      - Support requesting the port number with the "port_no" option in
        the "add-if" command.
    - ovs-pki: The "online PKI" features have been removed, along with
      the ovs-pki-cgi program that facilitated it, because of some
      alarmist insecurity claims.  We do not believe that these claims
      are true, but because we do not know of any users for this
      feature it seems better on balance to remove it.  (The ovs-pki-cgi
      program was not included in distribution packaging.)
    - ovsdb-server now enforces the immutability of immutable columns.  This
      was not enforced in earlier versions due to an oversight.
    - The following features are now deprecated.  They will be removed no
      earlier than February 2013.  Please email dev@openvswitch.org with
      concerns.
        - Bridge compatibility.
        - Stable bond mode.
        - The autopath action.
        - Interface type "null".
        - Numeric values for reserved ports (see "ovs-ofctl" note above).
        - Tunnel Path MTU Discovery.
        - CAPWAP tunnel support.
    - The data in the RARP packets can now be matched in the same way as the
      data in ARP packets.

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 26 Feb 2013 11:23:19 -0700

openvswitch (1.8.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    *** Internal only release ***
    - New FAQ.  Please send updates and additions!
    - Authors of controllers, please read the new section titled "Action
      Reproduction" in DESIGN, which describes an Open vSwitch change in
      behavior in corner cases that may affect some controllers.
    - ovs-l3ping:
        - A new test utility that can create L3 tunnel between two Open
          vSwitches and detect connectivity issues.
    - ovs-ofctl:
        - New --sort and --rsort options for "dump-flows" command.
        - "mod-port" command can now control all OpenFlow config flags.
    - OpenFlow:
      - Allow general bitwise masking for IPv4 and IPv6 addresses in
        IPv4, IPv6, and ARP packets.  (Previously, only CIDR masks
        were allowed.)

