## openvswitch 1.10.2

=== debian/changelog ===
openvswitch (1.10.2-0ubuntu2~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Sep 2013 17:01:23 +0100

openvswitch (1.10.2-0ubuntu2) saucy; urgency=low

  * d/p/boot.patch: Re-execution of boot.sh to ensure that new files
    introduced via patches are included in the dkms and source packages
    (LP: #1229222).

 -- James Page <james.page@ubuntu.com>  Mon, 23 Sep 2013 15:50:06 +0100

openvswitch (1.10.2-0ubuntu1) saucy; urgency=low

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Sat, 07 Sep 2013 08:48:22 +0100

openvswitch (1.10.1+git20130823-0ubuntu3) saucy; urgency=low

  * d/openvswitch-switch.openvswitch-force-reload-kmod.upstart: Deal with
    instances where openvswitch-switch is not already running, use
    modprobe -r instead of rmmod to remove kernel modules.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Aug 2013 13:32:38 +0100

openvswitch (1.10.1+git20130823-0ubuntu2) saucy; urgency=low

  * Fully support transitions from openvswitch module in 3.11 kernel to
    DKMS module:
    - d/openvswitch-switch.openvswitch-force-reload-mod.upstart: Drop the
      gre module when force reloading to make transitions from native kernel
      module to dkms module work.
    - d/NEWS: Drop information about DKMS/kernel compatibility with GRE
      tunnels. 

 -- James Page <james.page@ubuntu.com>  Sat, 24 Aug 2013 09:41:02 +0100

openvswitch (1.10.1+git20130823-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    - d/p/*.patch: Rebase on 1.10 branch with upstream submitted fixes
      for Linux 3.11 kernel compatibility (LP: #1213879). 
    - d/NEWS: Add note about GRE tunnel support in the Linux 3.11 native
      kernel module with advice on use of -dkms package in this configuration.
  * Add Upstart configuration for openvswitch-switch (LP: #1084028):
    - d/openvswitch-switch.upstart: Add upstart configuration to support
      use during early boot.
    - d/rules,openvswitch-switch.openvswitch-force-reload-mod.upstart: Add
      helper to replace 'service openvswitch-switch force-reload-kmod'.
    - d/openvswitch-switch.preinst: Stop versions earlier than this version
      prior to install due to switch to upstart configuration.
    - d/NEWS: Let users know about this change and how to force a reload
      of the openvswitch kernel module.
    - d/tests/dkms,common: Update to work with upstart configuration.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Aug 2013 11:18:52 +0100

openvswitch (1.10.1+git20130627-0ubuntu2) saucy; urgency=low

  * Allow compile with Linux 3.11 kernel
    - d/p/0005-datapath-Allow-compile-with-linux-3.11.patch
      Extend version checking to include the new kernel version.

 -- Stefan Bader <stefan.bader@canonical.com>  Sat, 03 Aug 2013 12:12:08 +0100

openvswitch (1.10.1+git20130627-0ubuntu1) saucy; urgency=low

  * New upstream snapshot:
    - d/p/0007-tests-Tolerate-init-process-pid-1.patch: Dropped; included
      in snapshot.
    - d/p/*lacp*: Drop patches related to lacp test changes; not required
      for this series.
    - d/*: Sync relevant packaging changes.
  * Provide initial support for Linux 3.10 kernel:
    - d/p/0004-datapath-Fixup-compatibility-with-linux-3.10.patch:
      Fixup compatibility with Linux 3.10; this is not full support for
      all new 3.10 features - it simply maintains compatibility for the
      existing codebase.
  * d/rules: Add get-orig-snapshot target for creating snapshots from
    upstream VCS.

 -- James Page <james.page@ubuntu.com>  Mon, 01 Jul 2013 09:45:12 +0100

openvswitch (1.10.0-0ubuntu5) saucy; urgency=low

  * d/p/0007-tests-Tolerate-init-process-pid-1.patch: Resync with upstream
    accepted fix for FTBFS with upstart user sessions enabled, supercedes
    fix-init-user-sessions.patch with a more reliable test.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Jun 2013 09:43:18 +0100

openvswitch (1.10.0-0ubuntu4) saucy; urgency=low

  * Fix FTBFS when upstart user sessions are enabled:
    - d/p/fix-init-user-sessions.patch: init is not pid == 1 when building
      on Ubuntu with user sessions enabled; just check that the cmd name
      of the init process is 'init' instead.

 -- James Page <james.page@ubuntu.com>  Thu, 20 Jun 2013 18:46:17 +0100

openvswitch (1.10.0-0ubuntu3) saucy; urgency=low

  * d/rules: Disable testing on powerpc architecture
    https://bugs.launchpad.net/ubuntu/+source/openvswitch/+bug/1189408. 

 -- James Page <james.page@ubuntu.com>  Mon, 10 Jun 2013 11:20:56 +0100

openvswitch (1.10.0-0ubuntu2) saucy; urgency=low

  * Fix FTBFS on powerpc architecture:
    - d/p/{0004,0005,0006}*.patch: Cherry picked fixes from upstream VCS
      for failing lacp test.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Jun 2013 10:30:10 +0100

openvswitch (1.10.0-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/p/handle-unix-socket-long-paths.patch: Dropped - included
      upstream.
    - d/control,NEWS: Drop openvswitch-brcompat package as feature has
      been dropped upstream, added NEWS entry to let users know.
    - d/tests: Update tests to drop brcompat module testing.
  * Add support for Linux 3.9 kernel (LP: #1180385):
    - d/p/0001-datapath-hlist-drop-the-node-parameter-from-iterator.patch:
      Cherry picked fix from upstream master branch to remove dropped
      node parameter from hlist calls.
    - d/p/0002-Add-support-for-linux-3.9-kernel.patch:
      Include the 3.9 kernel in the list of supported kernel versions.
    - d/p/0003-datapath-Backport-simplified-hlist-iterators.patch:
      Cherry picked fix to provide backported hlist iterators for older
      kernels.
    - d/rules: Always run boot.sh to pickup above changes.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Jun 2013 15:40:43 +0100
