=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,11 @@
 CFLAGS += -O2
 endif
 
-export DEB_BUILD_HARDENING=1
+# Old versions of dpkg-buildflags do not understand --export=configure.
+# When dpkg-buildflags does not understand an option, it prints its full
+# --help output on stdout, so we have to avoid that here.
+buildflags := $(shell if dpkg-buildflags --export=configure >/dev/null 2>&1; \
+	              then dpkg-buildflags --export=configure; fi)
 
 configure: configure-stamp
 configure-stamp:
@@ -41,7 +45,7 @@
 		test -e Makefile || \
 		../configure --prefix=/usr --localstatedir=/var --enable-ssl \
 			--sysconfdir=/etc CFLAGS="$(CFLAGS)" \
-			$(DATAPATH_CONFIGURE_OPTS))
+			$(buildflags) $(DATAPATH_CONFIGURE_OPTS))
 	touch configure-stamp
 
 #Architecture 
@@ -51,12 +55,18 @@
 build-arch-stamp: configure-stamp 
 	$(MAKE) -C _debian
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq (powerpc, $(DEB_BUILD_ARCH))
 	if $(MAKE) -C _debian check TESTSUITEFLAGS='$(PARALLEL)'; then :; \
 	else \
 		cat _debian/tests/testsuite.log; \
 		exit 1; \
 	fi
-endif
+else
+	# Disable testing on powerpc
+	# https://bugs.launchpad.net/ubuntu/+source/openvswitch/+bug/1189408
+	echo "Testing disabled on powerpc"
+endif # powerpc
+endif # nocheck
 	touch $@
 
 build-indep: build-indep-stamp
@@ -127,6 +137,7 @@
 	dh_installdebconf
 	dh_installlogrotate
 	dh_installinit -R
+	dh_installinit -popenvswitch-switch --name=openvswitch-force-reload-kmod --no-start
 	dh_installcron
 	dh_installman --language=C
 	dh_link
@@ -149,6 +160,22 @@
 binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
 
+
+# Helper target for creating snapshots from upstream git
+DATE=$(shell date +%Y%m%d)
+# Upstream branch to track
+BRANCH=branch-1.10
+
+get-orig-snapshot:
+	rm -Rf openvswitch-upstream
+	git clone git://git.openvswitch.org/openvswitch openvswitch-upstream
+	cd openvswitch-upstream && \
+		git checkout -b $(BRANCH) remotes/origin/$(BRANCH) && \
+		export UPSTREAM_VERSION=`head -1 NEWS | awk '{ print $$1 }' | sed 's/v//'` && \
+		git archive --format tgz --prefix=openvswitch-$$UPSTREAM_VERSION+git$(DATE)/ \
+			-o ../../openvswitch_$$UPSTREAM_VERSION+git$(DATE).orig.tar.gz $(BRANCH)
+	rm -Rf openvswitch-upstream
+
 # This GNU make extensions disables parallel builds for the current Makefile
 # but not for sub-Makefiles.  This is appropriate here because build-arch and
 # build-indep both invoke "make" on OVS, which can update some of the same
