## openvswitch 2.0.1+git20140120

=== debian/changelog ===
openvswitch (2.0.1+git20140120-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:27 +0000

openvswitch (2.0.1+git20140120-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - d/p/0001-Add-check-for-latomic.patch: Dropped - included in snapshot.
  * d/p/fix-3.11-support.patch: Cherry pick fix for >= 3.11 GRE support
    from upstream VCS (LP: #1270649).
  * d/tests/dkms,ma: Gate test execution on <= 3.13 kernel.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Jan 2014 12:55:24 +0000

openvswitch (2.0.1+git20140106-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jan 2014 17:32:42 +0000

openvswitch (2.0.0+git20131203-0ubuntu1) trusty; urgency=low

  * New upstream snapshot.
  * d/rules: Switch snapshot branch to branch-2.0.
  * Rework checks for -latomic:
    - d/p/0001-Add-check-for-latomic.patch: Add autoconf checks to see
      if -latomic is required when linking test-atomic.
    - d/p/atomic-test.patch: Dropped in preference to new patch.

 -- James Page <james.page@ubuntu.com>  Thu, 05 Dec 2013 10:08:20 +0000

openvswitch (2.0.0-0ubuntu3) trusty; urgency=low

  * d/rules,control: Switch to using dh-autoreconf for clean package builds.
  * d/p/kernel-3.12-support.patch: Add support for 3.12 kernel.
  * d/tests/control,kernel,common: Add kernel test to exercise in-tree
    openvswitch module, run openflow test against all module sources instead
    of standalone at the end of other tests.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Nov 2013 12:23:01 +0000

openvswitch (2.0.0-0ubuntu2) trusty; urgency=low

  * d/p/atomic-test.patch: Link atomic test with -latomic for powerpc.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 03 Nov 2013 21:07:20 -0700

openvswitch (2.0.0-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - d/p/kernel-3.11-support.patch: Cherry picked fix from upstream VCS
      for 3.11 kernel support.
    - Drop all other patches, no longer required.
  * d/p/xcp-interface-reconfigure.patch: Detect and use packaged XCP XAPI
    interface-reconfigure hook if installed (LP: #1195053).

 -- James Page <james.page@ubuntu.com>  Mon, 28 Oct 2013 13:15:45 +0000
