=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 endif
 MAKEFLAGS += $(PARALLEL)
 
+CFLAGS += -g
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
@@ -37,7 +38,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	test -e configure || ./boot.sh
+	dh_autoreconf
 	test -d _debian || mkdir _debian
 	echo $(DEB_BUILD_OPTIONS)
 	echo $$CC
@@ -55,7 +56,7 @@
 build-arch-stamp: configure-stamp 
 	$(MAKE) -C _debian
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifneq (powerpc, $(DEB_BUILD_ARCH))
+ifneq (powerpc, $(DEB_HOST_ARCH))
 	if $(MAKE) -C _debian check TESTSUITEFLAGS='$(PARALLEL)'; then :; \
 	else \
 		cat _debian/tests/testsuite.log; \
@@ -77,6 +78,7 @@
 clean:
 	dh_testdir
 	dh_testroot
+	dh_autoreconf_clean
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
 	rm -rf _debian
 	[ ! -f Makefile ] || $(MAKE) distclean
@@ -164,7 +166,7 @@
 # Helper target for creating snapshots from upstream git
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
-BRANCH=branch-1.10
+BRANCH=branch-2.0
 
 get-orig-snapshot:
 	rm -Rf openvswitch-upstream
