## openvswitch 2.0.2

=== debian/changelog ===
openvswitch (2.0.2-0ubuntu0.14.04.3) trusty; urgency=medium

  [ Brian Turek ]
  * Add ifupdown hooks for upstart script. (LP: #1314887)

  [ Arata Notsu ]
  * Fix ifupdown hooks in cases where BRIDGE is not defined. (LP: #1314887)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 07 Dec 2015 11:41:51 +0000

openvswitch (2.0.2-0ubuntu0.14.04.2) trusty; urgency=medium

  * d/p/dont-use-mask-if-null.patch: Cherry pick fix from upstream VCS to
    ensure that mask is not printed in diagnostic code if null, avoiding
    SIGSEGV (LP: #1336555).

 -- James Page <james.page@ubuntu.com>  Mon, 11 May 2015 08:43:47 +0100

openvswitch (2.0.2-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (LP: #1357229):
    - Includes fix for SIGSEGV in nl_attr_get_size() due to use of
      de-allocated object during flow teardown (LP: #1352570).

 -- James Page <james.page@ubuntu.com>  Fri, 15 Aug 2014 09:05:46 +0100
