=== debian/tests/control ===
Tests: kernel dkms ma
Depends: module-assistant, mininet, iperf, openvswitch-switch,
 openvswitch-controller
Restrictions: needs-root rw-build-tree
