=== debian/watch ===
version=3
http://openvswitch.org/releases/ openvswitch-(.*).tar.gz
